Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034899
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-01-10 16:232017-01-16 09:07
ReporterAsantos9View Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revisioncf9d6cd643ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034899: [SERQA 2286] Payments and keyboard disappear adding some products

DescriptionPayments and keyboard are hidden when a product added on payment window with the next characteristics:

- 'Show stock screen' checked
- A service related to this product is assigned

If a product with above description is added on payment window, the issue happens.
Steps To Reproduce- Log into Web POS
- Add a product to the order
- Click on a product that must have stock screen and must have a service related to it
- Click on payment button
- Click on 'Add to the receipt' button
- Press 'Continue'

Note that the payments and keyboard are hidden
Proposed SolutionThe solution is to force to close the Stock Screen without adding the product (hide) when the payment button is clicked.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0035450RR17Q2 closedranjith_qualiantech_com Multi Receipt view and Receipt view are displayed at same time 

-  Notes
(0093538)
hgbot (developer)
2017-01-13 14:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cf9d6cd643ab25b96b5d12f806b3d814c348bac4
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jan 12 17:07:54 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf9d6cd643ab25b96b5d12f806b3d814c348bac4 [^]

Fixed issue 34899: [SERQA 2286] Payments and keyboard disappear adding
some products

If the Stock Screen is being shown when the payment button is clicked, the
subwindow is closed.

This solution fix the problem of be able to add a product when the POS is in
the payment window.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0093539)
hgbot (developer)
2017-01-13 14:08

Repository: tools/automation/pi-mobile
Changeset: 42655534209743294192ef76143bf3ad4eb4243c
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jan 12 17:43:19 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/42655534209743294192ef76143bf3ad4eb4243c [^]

Verifies issue 34899: [SERQA 2286] Payments and keyboard disappear adding
some products

Added test I34899_CloseStockScreenWhenPaymentTabIsShown.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I34899_CloseStockScreenWhenPaymentTabIsShown.java
---

- Issue History
Date Modified Username Field Change
2017-01-10 16:23 Asantos9 New Issue
2017-01-10 16:23 Asantos9 Assigned To => Retail
2017-01-10 16:23 Asantos9 Triggers an Emergency Pack => No
2017-01-10 16:24 Asantos9 Steps to Reproduce Updated View Revisions
2017-01-10 16:29 Asantos9 Priority normal => urgent
2017-01-10 16:34 xabiermerino Summary Payments and keyboard disappear adding some products => [SERQA 2286] Payments and keyboard disappear adding some products
2017-01-12 13:48 jorge-garcia Description Updated View Revisions
2017-01-12 13:48 jorge-garcia Steps to Reproduce Updated View Revisions
2017-01-12 13:48 jorge-garcia Proposed Solution updated
2017-01-12 14:54 jorge-garcia Status new => scheduled
2017-01-12 14:54 jorge-garcia Assigned To Retail => jorge-garcia
2017-01-13 14:07 hgbot Checkin
2017-01-13 14:07 hgbot Note Added: 0093538
2017-01-13 14:07 hgbot Status scheduled => resolved
2017-01-13 14:07 hgbot Resolution open => fixed
2017-01-13 14:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf9d6cd643ab25b96b5d12f806b3d814c348bac4 [^]
2017-01-13 14:08 hgbot Checkin
2017-01-13 14:08 hgbot Note Added: 0093539
2017-01-16 09:07 marvintm Review Assigned To => marvintm
2017-01-16 09:07 marvintm Status resolved => closed
2017-01-16 09:07 marvintm Fixed in Version => RR17Q2
2017-03-08 09:25 jorge-garcia Relationship added causes 0035450


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker